import java.io.*;
import java.util.*;

public class Validator {

/*
проверяет корректность тестов
*/

	Scanner in;
	PrintWriter out;

                                      
	void solve() {
		int lowVal = in.nextInt();
		int highVal = in.nextInt();
		for (int i = lowVal; i <= highVal; i++) {
			String fname = i + ".in";
			out.print(fname + " Result: ");
			try {
				Scanner sc = new Scanner(new FileReader(fname));
				String str = sc.nextLine();
				if (1 <= str.length() && str.length() <= 10000) {
					boolean good = true;
					for (int j = 0; j < str.length(); j++) {
						if ('a' <= str.charAt(j) && str.charAt(j) <= 'z') {
						} else {
							out.println("Irregal symbol at pos = " + j);
							good = false;
							break;
						}
					}
					if (good) {
						out.println("OK");
					}
				} else {
					out.println("Size incorrect");
				} 
			} catch (IOException e) {
				out.println("FileNotFound");
			}
		}
   }

	void run(){
		in = new Scanner(System.in);
		out = new PrintWriter(System.out);

		try {
			solve();
		} finally {
			out.close();
		}
	}

	public static void main(String []args) {
		new Validator().run();
	}
}